eth_getBalance
Returns the balance of the account of a given address.
Parameters
Section titled “Parameters”DATA(20 bytes) — Address to check for balance.QUANTITY|TAG— Block number, or"latest","earliest","pending".
Returns
Section titled “Returns”QUANTITY — Integer of the current balance in wei.
Request
Section titled “Request”curl -X POST https://eth-mainnet.blockreq.com/v1/rpc/public \ -H "Content-Type: application/json" \ -d '{ "jsonrpc": "2.0", "method": "eth_getBalance", "params": ["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "latest"], "id": 1 }'Response
Section titled “Response”{ "jsonrpc": "2.0", "id": 1, "result": "0x6c6b935b8bbd400000"}The result is in wei.
0x6c6b935b8bbd400000= 2000 ETH.
Code Examples
Section titled “Code Examples”JavaScript (ethers.js v6)
Section titled “JavaScript (ethers.js v6)”import { JsonRpcProvider, formatEther } from "ethers";const provider = new JsonRpcProvider("https://eth-mainnet.blockreq.com/v1/rpc/YOUR_API_KEY");const balance = await provider.getBalance("0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045");console.log("Balance:", formatEther(balance), "ETH");Python (web3.py)
Section titled “Python (web3.py)”from web3 import Web3w3 = Web3(Web3.HTTPProvider("https://eth-mainnet.blockreq.com/v1/rpc/YOUR_API_KEY"))balance = w3.eth.get_balance("0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045")print(f"Balance: {w3.from_wei(balance, 'ether')} ETH")RU Cost
Section titled “RU Cost”| Method | Cost |
|---|---|
| eth_getBalance | 10 RU |